# eric4.E4XML.ShortcutsWriter

Module implementing the writer class for writing an XML shortcuts file.

### Global Attributes

None

### Classes

ShortcutsWriter | Class implementing the writer class for writing an XML shortcuts file.

### Functions

None

## ShortcutsWriter

Class implementing the writer class for writing an XML shortcuts file.

### Derived from

XMLWriterBase

### Class Attributes

None

### Class Methods

None

### Methods

ShortcutsWriter | Constructor
writeXML | Public method to write the XML to the file.

### Static Methods

None

#### ShortcutsWriter (Constructor)

ShortcutsWriter(file)

Constructor

file
  open file (like) object for writing

#### ShortcutsWriter.writeXML

writeXML()

Public method to write the XML to the file.

Up